% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{adu_t_invisible}
\alias{adu_t_invisible}
\title{model of a single storey auxiliary dwelling unit (adu)}
\format{
Preloaded (with function \code{load_model()}) input file of a single
storey auxiliary dwelling unit (adu). This model is similar to \code{adu_t_2room}
regarding the layout but it differs in the way of defining it: instead of
declaring a big room, this model uses the layout of \code{adu_t} but uses
"invisible" walls to accomplish the 2-room layout. At this stage, it is an
object of class 'model' formatted as a list. It is the equivalent of the
stage "load" in function \code{analyse_model()}, thus stages 'extract' and
'damaging' should be applied in order to generate the damage function.
Inside adu_t_invisible you will find:
\describe{
\item{name}{slot of length 1 containing the model name.}
\item{type}{slot of length 1 containing the model type.}
\item{category}{slot of length 1 containing the model category.}
\item{path}{list of length 7 containing paths from the information should be
loaded or where the information should be stored.}
\item{file_name}{list of length 9 containing the file names to use to load or
store information.}
\item{building}{list of length 3 containing the information from the building
file.}
\item{data_table}{list of length 1 containing the information from the
furniture file.}
}
}
\usage{
adu_t_invisible
}
\description{
model of a single storey auxiliary dwelling unit (adu)
}
\keyword{datasets}
