% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/compute_hydraulic.R
\name{compute_hydraulic}
\alias{compute_hydraulic}
\title{Analyse the hydraulics of the model}
\usage{
compute_hydraulic(
  opening,
  room,
  bound,
  dt_max,
  t_start = 0,
  t_max,
  r_names_to_merge = NULL,
  light = FALSE
)
}
\arguments{
\item{opening}{hydraulic part of the model, containing informations on the
exchange}

\item{room}{hydraulic part of the model, containing informations on the
rooms}

\item{bound}{numeric, matrix of floodwater depth heights by instant t
for each exterior opening exposed to flooding}

\item{dt_max}{numeric, optional; maxmimum timestep for simulation}

\item{t_start}{numeric, start time of the simulation}

\item{t_max}{numeric, duration of the flood event in seconds,
optional; if not provided, calculated using limnigraph}

\item{r_names_to_merge}{list of room vectors to be merged}

\item{light}{boolean, if true only return hmax}
}
\value{
lists of hydraulic values: water exchange through openings and
floodwater depth in rooms
}
\description{
Analyse the hydraulics of the model
}
