% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/group_damage_detail_by_room.R
\name{extract_elementary_component_from_detail}
\alias{extract_elementary_component_from_detail}
\title{group elementary damages by supra-elementary component}
\usage{
extract_elementary_component_from_detail(x, what, room)
}
\arguments{
\item{x}{the list of elementary components in a model. Usually the list in
the slot "detail" of the slot "damaging" of a model}

\item{what}{the name of one of the categories in which the slots of the list
"detail" of the slot "damaging" of a model are grouped: "room" (for floor and
ceiling), "wall", "opening", "coating", "furniture}

\item{room}{the name of the room for which we want to group elementary
components}
}
\value{
a list of elementary components
}
\description{
group elementary damages by supra-elementary component (floor, ceiling, wall,
opening, coating and furniture).
}
\details{
This function is meant to be called during the calculation of damage
functions
}
\examples{
model = analyse_model(
 model = "adu_t",
 type = "adu",
 stage = c("load", "extract", "damaging"),
 path = list(
   data = system.file("extdata", package = "floodam.building"),
   output = tempdir()
  )
)
test = extract_elementary_component_from_detail(
 what = names(model[["damaging"]][["detail"]])[2],
 x = model[["damaging"]][["detail"]], 
 room = levels(model[["data_table"]][["room"]][["room"]])[2]
)

}
\seealso{
\code{\link[=group_damage_detail_by_room]{group_damage_detail_by_room()}} and
\code{\link[=group_damage_detail_external_wall]{group_damage_detail_external_wall()}}, to handle the calculation of
damage functions by rooms
}
