% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/group_damage_detail_by_room.R
\name{group_damage_detail_by_room}
\alias{group_damage_detail_by_room}
\title{group elementary damages by room.}
\usage{
group_damage_detail_by_room(x, rooms, external_wall)
}
\arguments{
\item{x}{the list of elementary components in a model. Usually the list in
the slot "detail" of the slot "damaging" of a model}

\item{rooms}{character vector with the rooms in the dwelling}

\item{external_wall}{character list with the walls in the external_wall of
the dwelling by storey}
}
\value{
a list
}
\description{
group elementary damages by room.
}
\details{
This function is meant to be called during the calculation of damage
functions
}
\examples{
model = analyse_model(
 model = "adu_t",
 type = "adu",
 stage = c("load", "extract", "damaging"),
 path = list(
   data = system.file("extdata", package = "floodam.building"),
   output = tempdir()
  )
)
test = group_damage_detail_by_room(
 x = model[["damaging"]][["detail"]], 
 rooms = levels(model[["data_table"]][["room"]][["room"]]),
 external_wall = as.character(
   model[["data_table"]][["wall"]][
     model[["data_table"]][["wall"]][["room"]] == "external_wall", "wall"
   ]
  )
)

}
\seealso{
\code{\link[=extract_elementary_component_from_detail]{extract_elementary_component_from_detail()}} and
\code{\link[=group_damage_detail_external_wall]{group_damage_detail_external_wall()}}, to handle the calculation of
damage functions by rooms
}
