test_that("Test get_hydraulic_damage",
    {
        adu_path = list(
            data = system.file("extdata", package = "floodam.building"),
            output = adu_t[["path"]][["output"]]
        )

        model = analyse_model(
            model = "adu_t",
            type = "adu",
            stage = c("load", "extract", "damaging", "hydraulic"),
            path = adu_path,
            dam_by_room = TRUE
            )

        flood = expect_no_message(
            generate_limnigraph(
                time = c(0, 54, 108),
                depth = cbind(external_1 = c(0, 3, 0)),
                external = list(
                    external_1 = c("wall_A", "wall_B", "wall_C", "wall_D", 
                        "wall_E", "wall_F", "wall_G", "wall_H")),
                verbose = FALSE
            )
        )

        hydraulic = expect_no_error(
            analyse_hydraulic(
                model = model,
                limnigraph = flood,
                opening_scenario = "close",
                sim_id = "integrated_model",
                stage = c("hydraulic", "damaging"),
                verbose = FALSE
            )
        )

        expect_s3_class(hydraulic, "hydraulic")
        expect_vector(hydraulic[["damage"]]["damages",], ptype = double())
    }
)